const coral = @import("coral");

events: *const Events,
target_frame_time: f64,
is_running: bool,

pub const Events = struct {
	load: coral.World.Event,
	pre_update: coral.World.Event,
	update: coral.World.Event,
	post_update: coral.World.Event,
	render: coral.World.Event,
	finish: coral.World.Event,
	exit: coral.World.Event,
};

const Self = @This();

pub fn quit(self: *Self) void {
	self.is_running = false;
}

